# $Revision: 1.77 $, $Date: 2012/02/07 22:00:17 $
Summary:	Fast image viewer/indexer/montager
Summary(hu.UTF-8):	Gyors képnézegető/indexelő/montázsoló
Summary(pl.UTF-8):	Szybki program do przeglądania/indeksowania/montowania obrazów
Name:		feh
Version:	2.3
Release:	2
License:	BSD
Group:		X11/Applications/Graphics
Source0:	https://derf.homelinux.org/~derf/projects/feh/%{name}-%{version}.tar.bz2
# Source0-md5:	f96d2ec75150a6122c57893d295301b4
URL:		http://feh.finalrewind.org/
# Patch0:		%{name}-install.patch
Source1:	%{name}-bash-completion
BuildRequires:	giblib-devel >= 1.2.4
BuildRequires:	imlib2-devel >= 1.0.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXt-devel
Provides:	WallpaperChanger
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
feh is a fast, lightweight image viewer which uses imlib2. It is
commandline-driven and supports multiple images through slideshows,
thumbnail browsing or multiple windows, and montages or index prints
(using truetype fonts to display file info). Advanced features include
fast dynamic zooming, progressive loading, loading via HTTP (with
reload support for watching webcams), recursive file opening
(slideshow of a directory hierarchy), and mousewheel/keyboard control.

%description -l hu.UTF-8
feh egy gyors, könnyűsúlyú képnézegető, amely az imlib2-t használja.
Parancssor-orientált és lehetséges több képet is nézni vetítés,
bélyegkép böngészés vagy több ablakban. További lehetőségek (többek
között): gyors dinamikus zoom, progresszív betöltés, HTTP protokoll
(webcam), rekurzív fájl megnyitás (könyvtár-szerkezetben diavetítés)
és egér-götgetés/billentyűzettel irányítás.

%description -l pl.UTF-8
feh jest szybką, lekką przeglądarką obrazów która wykorzystuje
bibliotekę imlib2. Jest kierowana z linii poleceń i obsługuje wiele
obrazów naraz przez "pokazy slajdów", przeglądanie miniatur lub wiele
okienek na raz, oraz montowanie obrazów lub tworzenie indeksów
(wykorzystując fonty TrueType do wyświetlania informacji o plikach).
Zaawansowane opcje zawierają szybie powiększanie, ładowanie stopniowe,
ładowanie przez HTTP (z opcją przeładowania do oglądania webcamów),
rekursywne otwieranie plików (pokaz slajdów z hierarchii katalogów),
oraz sterowanie z klawiatury/myszki (też z kółkiem).

%package -n bash-completion-feh
Summary:	bash-completion to feh
Summary(pl.UTF-8):	bashowe dopełnianie linii poleceń programu feh
Group:		Applications/Shells
Requires:	bash-completion
Obsoletes:	feh-bash-completion

%description -n bash-completion-feh
bash-completion to feh.

%description -n bash-completion-feh -l pl.UTF-8
bashowe dopełnianie linii poleceń programu feh.

%prep
%setup -q
# %patch0 -p1
%{__sed} -i "s,CFLAGS ?=.*,CFLAGS = %{rpmcflags}," config.mk

%build
%{__make} \
	CC="%{__cc}" \
	PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog examples README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/feh
%{_mandir}/man1/*.1*

%files -n bash-completion-feh
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: feh.spec,v $
Revision 1.77  2012/02/07 22:00:17  arekm
- release 2

Revision 1.76  2012/02/03 09:24:34  uzsolt
- 2.3

Revision 1.75  2012/01/18 13:35:42  caleb
- Up to 2.2

Revision 1.74  2011/12/20 19:40:32  arekm
- release 2

Revision 1.73  2011/11/03 08:21:00  uzsolt
- 2.1

Revision 1.72  2011/10/11 06:04:30  uzsolt
- 2.0
- disable install.patch

Revision 1.71  2011/09/27 05:31:44  uzsolt
- 1.16.2
- non-memleak patch disabled, already applied

Revision 1.70  2011/09/13 08:13:26  blues
- rel.2 - non_memleak patch added. Fixes memory leak caused by
  not-a-real-memleak.

Revision 1.69  2011/09/12 07:57:20  uzsolt
- 1.16.1

Revision 1.68  2011/09/05 09:30:02  blues
- 1.16 - git_fixes now in mainstream

Revision 1.67  2011/09/02 11:18:13  blues
- rel.4: git_fixes added in place of git_ed5f55e967152ff6c730. Additionally
  fix memleak on image reload from http.

Revision 1.66  2011/09/01 10:31:48  blues
- rel.3: official git_ed5f55e967152ff6c730 patch added.

Revision 1.65  2011/09/01 09:35:03  blues
- official patch replaced with non-official and not perfect but working
  better (don't exit on reloading broken image while "reload" option set)

Revision 1.64  2011/08/31 15:44:27  blues
- release 2 - add git_fixes patch that fixes sig11 on empty image while
  reloading

Revision 1.63  2011/08/31 14:40:34  blues
- fix homepage

Revision 1.62  2011/08/17 07:56:29  uzsolt
- 1.15.1

Revision 1.61  2011/08/16 10:39:41  lisu
- updated to 1.15
- more verbose files
- use __rm macro

Revision 1.60  2011/07/04 20:35:13  uzsolt
- 1.14.2

Revision 1.59  2011/05/20 10:03:24  uzsolt
- 1.14.1

Revision 1.58  2011/05/12 08:47:01  uzsolt
- 1.14

Revision 1.57  2011/04/29 07:52:38  uzsolt
- 1.13

Revision 1.56  2011/03/16 11:42:04  uzsolt
- 1.12
- rel 1

Revision 1.55  2011/02/21 07:17:57  uzsolt
- add examples dir to %doc
- rename feh-bash-completion to bash-completion-feh
- rel 3

Revision 1.54  2011/02/10 10:30:54  lisu
- fix install
- sed >= 4.0

Revision 1.53  2011/02/10 09:22:44  uzsolt
- 1.11.2
- sedding config.mk to pass rpmcflags
- BR sed

Revision 1.52  2011/01/24 13:15:53  caleb
- Up to 1.11

Revision 1.51  2011/01/06 20:40:20  lkrotowski
- use proper env vars with make

Revision 1.50  2010/12/06 09:50:15  uzsolt
- 1.10.1

Revision 1.49  2010/10/08 06:28:19  uzsolt
- 1.10

Revision 1.48  2010/08/25 12:02:45  uzsolt
- 1.9
- rel 1

Revision 1.47  2010/06/30 06:37:27  uzsolt
- 1.8

Revision 1.46  2010/06/14 12:48:35  uzsolt
- 1.7
- delete docdir/feh

Revision 1.45  2010/06/03 11:33:35  sparky
- BR: xorg-lib-libXinerama-devel

Revision 1.44  2010/05/27 13:49:08  blues
- 1.5 - no ac/am

Revision 1.43  2010/03/07 10:26:17  uzsolt
- hu

Revision 1.42  2010/03/05 16:56:03  uzsolt
- change URL
- remove obsoleted source0

Revision 1.41  2010/03/05 16:53:21  uzsolt
- 1.4

Revision 1.40  2010/03/02 15:27:27  uzsolt
- 1.3.5
- change Source0
- rm /usr/doc/feh

Revision 1.39  2010/02/01 16:41:06  uzsolt
- rel 4
- rebuild with libpng 1.4

Revision 1.38  2009/07/12 13:22:10  arekm
- release 3

Revision 1.37  2008/10/08 19:31:37  qboosh
- pl for bash-completion

Revision 1.36  2008/10/07 17:15:33  glen
- nl cleanup

Revision 1.35  2008/10/07 17:01:26  uzsolt
- bash-completion
- added README to %doc
- removed TODOs (ready)
- release 2

Revision 1.34  2008/09/29 21:24:29  uzsolt
- add todo
- Provides 'WallpaperChanger' (because of awesome)

Revision 1.33  2007/05/30 19:05:31  qboosh
- tab

Revision 1.32  2007/05/30 17:09:20  zytek
- BR: xorg-lib-libXt-devel

Revision 1.31  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.29  2006/03/12 15:03:40  megabajt
- updated to 1.3.4

Revision 1.28  2006/01/18 17:41:47  matowy
- updated URL

Revision 1.27  2005/06/01 20:06:05  zbyniu
- BR: libjpeg-devel

Revision 1.26  2005/05/14 09:51:33  megabajt
- up to 1.3.2
- proper license

Revision 1.25  2005/05/02 07:52:50  misi3k
- up to 1.3.1

Revision 1.24  2005/01/09 14:23:15  adamg
- updated to 1.3.0

Revision 1.23  2004/12/30 15:44:13  kolodko
- up to 1.2.9 by  Mateusz Murawski <matowy @ tlen.pl>

Revision 1.22  2004/09/21 17:32:39  paladine
- updated to 1.2.7

Revision 1.21  2004/08/31 06:40:51  snurf
- typos / formatting / etc.

Revision 1.20  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.19  2003/05/27 22:32:00  misi3k
- updated to 1.2.6

Revision 1.18  2003/05/26 16:24:58  malekith
- massive attack: adding Source-md5

Revision 1.17  2003/05/25 05:47:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/02/23 17:36:04  misi3k
- updated 1.2.5

Revision 1.15  2003/02/15 20:31:05  misi3k
- update to 1.2.4

Revision 1.14  2003/01/18 22:46:45  juandon
- removed two lines with define

Revision 1.13  2002/11/27 19:36:46  juandon
- new %%doc

Revision 1.12  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/05/21 23:13:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/05/15 07:29:08  kloczek
- add missing "rm -f missing" on top %build,
- move gzipping %doc to %build (make spec --short-circuit ready).

Revision 1.9  2002/05/14 10:37:14  zagrodzki
- updated to 1.2.0

Revision 1.8  2002/04/25 16:17:37  arturs
fixed a small typo

Revision 1.7  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.6  2002/02/23 01:58:11  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/19 20:42:00  filon
- updated to 1.1.1 (minor bugfixes)

Revision 1.3  2002/01/18 02:12:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/10 14:06:23  qboosh
- BuildRequires: autoconf, automake

Revision 1.1  2001/08/30 22:13:17  zagrodzki
- initial release
